Results 1 to 11 of 11
  1. saiks's Avatar
    Posts
    92 Posts
    Global Posts
    106 Global Posts
       #1  
    Hi at first, i was stuck at:

    root@qemux86:/etc# ipkg-opt update
    /opt/bin/ipkg-opt: line 1: syntax error: word unexpected (expecting ")")

    Then i followed the instruction on this page:

    hxxp://forums.precentral.net/web-os-development/189570-ipkg-opt-update-gives-error.html

    Then error at:

    # install portion
    ipkg-opt install sudo
    # configure portion
    chmod 640 /opt/etc/sudoers
    echo "$MYUSER ALL=(ALL) ALL" >> /opt/etc/sudoers
    chmod 440 /opt/etc/sudoers

    couldn't locate sudoer or something.

    Then i just wanted to continue to Dropbear Install:

    /opt/bin/ipkg-opt install dropbear - couldn't find dropbear.

    I would appreciate any help to resolve this issue. If possible step by step instructions. Thank you
  2. #2  
    What are you trying to do? SSH into the emulator?
  3. saiks's Avatar
    Posts
    92 Posts
    Global Posts
    106 Global Posts
       #3  
    Quote Originally Posted by The_lane View Post
    What are you trying to do? SSH into the emulator?
    Yes. I'm trying to transfer files to the emulator's /media/internal using scp and i read before that i have to install SSH. But i keep having these errors.

    Thanks for your reply...
  4. #4  
    Im getting the same error as the OP.

    And no, we're already in the emulator if you would read The_lane.
  5. #5  
    wget http://ipkg.nslu2-linux.org/feeds/op...1.2-5_i686.xsh
    sh pre-emulator-bootstrap_1.2-5_i686.xshp
    This worked for me, so try that.
  6. #6  
    Is the directory there?
    Try:
    cd /
    cd /opt/etc/sudoers
    If there's no directory found:
    mkdir /opt/etc/sudoers
  7. saiks's Avatar
    Posts
    92 Posts
    Global Posts
    106 Global Posts
       #7  
    Quote Originally Posted by Sunsparc View Post
    This worked for me, so try that.
    Do you mind giving me step by step instructions on how get it to work may i'm doing a part wrong
  8. #8  
    Just run the two commands I posted then do "ipkg-opt update".

    After that, you should be able to do whatever it is you were wanting to do but needed Optware.
  9. saiks's Avatar
    Posts
    92 Posts
    Global Posts
    106 Global Posts
       #9  
    Quote Originally Posted by Sunsparc View Post
    Just run the two commands I posted then do "ipkg-opt update".

    After that, you should be able to do whatever it is you were wanting to do but needed Optware.
    Ok let me try that now...
  10. saiks's Avatar
    Posts
    92 Posts
    Global Posts
    106 Global Posts
       #10  
    I'm having ...

    root@qemux86:/var/home/root# cd /tmp
    root@qemux86:/tmp# wget hxxp://ipkg.nslu2-linux.org/feeds/op...1.2-5_i686.xsh
    Connecting to ipkg.nslu2-linux.org (140.211.169.169:80)
    wget: server returned error: HTTP/1.1 404 Not Found
  11. saiks's Avatar
    Posts
    92 Posts
    Global Posts
    106 Global Posts
       #11  
    Should i change thr dir to /tmp

Tags for this Thread

Posting Permissions